Index: EcnlProtoTool/trunk/ntshell/webserver/websocket_fbs.h
===================================================================
--- EcnlProtoTool/trunk/ntshell/webserver/websocket_fbs.h	(revision 299)
+++ EcnlProtoTool/trunk/ntshell/webserver/websocket_fbs.h	(revision 321)
@@ -4,47 +4,32 @@
  *  Copyright (C) 2017 Cores Co., Ltd. Japan
  * 
- *  ä¸è¨èä½æ¨©è
-ã¯ï¼ä»¥ä¸ã®(1)ï½(4)ã®æ¡ä»¶ãæºããå ´åã«éãï¼æ¬ã½ããã¦ã§
- *  ã¢ï¼æ¬ã½ããã¦ã§ã¢ãæ¹å¤ãããã®ãå«ãï¼ä»¥ä¸åãï¼ãä½¿ç¨ã»è¤è£½ã»æ¹
- *  å¤ã»åé
-å¸ï¼ä»¥ä¸ï¼å©ç¨ã¨å¼ã¶ï¼ãããã¨ãç¡åã§è¨±è«¾ããï¼
- *  (1) æ¬ã½ããã¦ã§ã¢ãã½ã¼ã¹ã³ã¼ãã®å½¢ã§å©ç¨ããå ´åã«ã¯ï¼ä¸è¨ã®èä½
- *      æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãï¼ãã®ã¾ã¾ã®å½¢ã§ã½ã¼
- *      ã¹ã³ã¼ãä¸­ã«å«ã¾ãã¦ãããã¨ï¼
- *  (2) æ¬ã½ããã¦ã§ã¢ãï¼ã©ã¤ãã©ãªå½¢å¼ãªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨
- *      è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®èä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨
- *      ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *  (3) æ¬ã½ããã¦ã§ã¢ãï¼æ©å¨ã«çµã¿è¾¼ããªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããªãå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼æ¬¡ã®ããããã®æ¡ä»¶ãæºããã
- *      ã¨ï¼
- *    (a) åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®è
- *        ä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *    (b) åé
-å¸ã®å½¢æ
-ãï¼å¥ã«å®ããæ¹æ³ã«ãã£ã¦ï¼TOPPERSãã­ã¸ã§ã¯ãã«
- *        å ±åãããã¨ï¼
- *  (4) æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæ
- *      å®³ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ããå
-è²¬ãããã¨ï¼
- *      ã¾ãï¼æ¬ã½ããã¦ã§ã¢ã®ã¦ã¼ã¶ã¾ãã¯ã¨ã³ãã¦ã¼ã¶ããã®ãããªãç
- *      ç±ã«åºã¥ãè«æ±ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ãã
- *      å
-è²¬ãããã¨ï¼
- * 
- *  æ¬ã½ããã¦ã§ã¢ã¯ï¼ç¡ä¿è¨¼ã§æä¾ããã¦ãããã®ã§ããï¼ä¸è¨èä½æ¨©è
-ã
- *  ãã³TOPPERSãã­ã¸ã§ã¯ãã¯ï¼æ¬ã½ããã¦ã§ã¢ã«é¢ãã¦ï¼ç¹å®ã®ä½¿ç¨ç®ç
- *  ã«å¯¾ããé©åæ§ãå«ãã¦ï¼ãããªãä¿è¨¼ãè¡ããªãï¼ã¾ãï¼æ¬ã½ããã¦ã§
- *  ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæå®³ã«é¢ãã¦ãï¼ã
- *  ã®è²¬ä»»ãè² ããªãï¼
+ *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
+ *  ア（本ソフトウェアを改変したものを含む．以下同じ）を使用・複製・改
+ *  変・再配布（以下，利用と呼ぶ）することを無償で許諾する．
+ *  (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
+ *      権表示，この利用条件および下記の無保証規定が，そのままの形でソー
+ *      スコード中に含まれていること．
+ *  (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使
+ *      用できる形で再配布する場合には，再配布に伴うドキュメント（利用
+ *      者マニュアルなど）に，上記の著作権表示，この利用条件および下記
+ *      の無保証規定を掲載すること．
+ *  (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使
+ *      用できない形で再配布する場合には，次のいずれかの条件を満たすこ
+ *      と．
+ *    (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著
+ *        作権表示，この利用条件および下記の無保証規定を掲載すること．
+ *    (b) 再配布の形態を，別に定める方法によって，TOPPERSプロジェクトに
+ *        報告すること．
+ *  (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
+ *      害からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
+ *      また，本ソフトウェアのユーザまたはエンドユーザからのいかなる理
+ *      由に基づく請求からも，上記著作権者およびTOPPERSプロジェクトを
+ *      免責すること．
+ * 
+ *  本ソフトウェアは，無保証で提供されているものである．上記著作権者お
+ *  よびTOPPERSプロジェクトは，本ソフトウェアに関して，特定の使用目的
+ *  に対する適合性も含めて，いかなる保証も行わない．また，本ソフトウェ
+ *  アの利用により直接的または間接的に生じたいかなる損害に関しても，そ
+ *  の責任を負わない．
  * 
  *  @(#) $Id$
@@ -52,5 +37,5 @@
 
 /*
- * åºå®é·ãããã¡å¯å¤é·ã¹ããªã¼ã 
+ * 固定長バッファ可変長ストリーム
  */
 
@@ -65,50 +50,46 @@
 
 #ifndef WEBSOCKET_MEMPOOL_GET_TMO
-#define WEBSOCKET_MEMPOOL_GET_TMO	(0)			/* ã¡ã¢ãªãã¼ã«åå¾æã®ã¿ã¤ã ã¢ã¦ãæå® */
+#define WEBSOCKET_MEMPOOL_GET_TMO	(0)			/* メモリプール取得時のタイムアウト指定 */
 #endif /* WEBSOCKET_MEMPOOL_GET_TMO */
 
 #ifndef NUM_WEBSOCKET_MEMPOOL_BLOCK
-#define NUM_WEBSOCKET_MEMPOOL_BLOCK (60)		/* é»æç¨ã¡ã¢ãªãã­ãã¯ã®æ° */
+#define NUM_WEBSOCKET_MEMPOOL_BLOCK (60)		/* 電文用メモリブロックの数 */
 #endif /* NUM_WEBSOCKET_MEMPOOL_BLOCK */
 
 #ifndef WEBSOCKET_MEMPOOL_BLOCK_SIZE
-#define WEBSOCKET_MEMPOOL_BLOCK_SIZE (256)	/* é»æç¨ã¡ã¢ãªãã­ãã¯ã®ãµã¤ãº */
+#define WEBSOCKET_MEMPOOL_BLOCK_SIZE (256)	/* 電文用メモリブロックのサイズ */
 #endif /* WEBSOCKET_MEMPOOL_BLOCK_SIZE */
 
-typedef unsigned int WS_FBS_SIZE_T;	/* size_tç¸å½  */
-typedef int WS_FBS_SSIZE_T;			/* ssize_tç¸å½ */
-
-/* T_WS_FST_BLKç®¡çé åãµã¤ãº */
+typedef unsigned int WS_FBS_SIZE_T;	/* size_t相当  */
+typedef int WS_FBS_SSIZE_T;			/* ssize_t相当 */
+
+/* T_WS_FST_BLK管理領域サイズ */
 #define DEF_WS_EDT_HDR_LEN (sizeof(intptr_t))
 
-/* ç®¡çé åãµã¤ãº(64byte - sizeof(T_MSG)) */
+/* 管理領域サイズ(64byte - sizeof(T_MSG)) */
 /* #define DEF_WS_FBS_LIB_HDR_LEN ((WEBSOCKET_MEMPOOL_BLOCK_SIZE + sizeof(int) - 1)>> 2) // */
 #define DEF_WS_FBS_LIB_HDR_LEN (64 - DEF_WS_EDT_HDR_LEN)
 
-/* ç®¡çé åãå«ããã­ãã¯ã«ä¿æãããã¼ã¿ãµã¤ãº */
+/* 管理領域を含むブロックに保持するデータサイズ */
 #define DEF_WS_FBS_FST_DAT_LEN (64)
 
-/* ãªã³ã¯ãã¤ã³ã¿é
-åã®ãµã¤ãº(byte) */
+/* リンクポインタ配列のサイズ(byte) */
 #define DEF_WS_FBS_LNK_LEN (WEBSOCKET_MEMPOOL_BLOCK_SIZE - DEF_WS_EDT_HDR_LEN - DEF_WS_FBS_LIB_HDR_LEN - DEF_WS_FBS_FST_DAT_LEN)
 
-/* åºå®é·ãããã¡æå¤§ãµã¤ãº */
+/* 固定長バッファ最大サイズ */
 #define DEF_WS_FBS_BUF_MAXLEN ((DEF_WS_FBS_LNK_LEN / sizeof(void *)) * WEBSOCKET_MEMPOOL_BLOCK_SIZE + DEF_WS_FBS_FST_DAT_LEN)
 
-/* å­è¦ç´ ãããã¡ã®ãµã¤ãº */
+/* 子要素バッファのサイズ */
 #define DEF_WS_FBS_SUB_BUF_LEN WEBSOCKET_MEMPOOL_BLOCK_SIZE
 
-/* é»æã®ç¨®å¥(å
-å®¹ã¯ä»®) */
+/* 電文の種別(内容は仮) */
 typedef enum
 {
-	WS_FBS_TYPE_BLANK		=	0,		/* æªä½¿ç¨ã¹ããªã¼ã  */
-	WS_FBS_TYPE_INTERNAL	=	1,		/* å
-é¨ã¡ãã»ã¼ã¸ */
-	WS_FBS_TYPE_WEBSOCKET	=	2		/* WEBSOCKETé»æ */
+	WS_FBS_TYPE_BLANK		=	0,		/* 未使用ストリーム */
+	WS_FBS_TYPE_INTERNAL	=	1,		/* 内部メッセージ */
+	WS_FBS_TYPE_WEBSOCKET	=	2		/* WEBSOCKET電文 */
 } TA_WS_MSG_TYPE;
 
-/* ãªã³ã¯ãã¤ã³ã¿é
-åã«åæããããå­è¦ç´ ãããã¡ */
+/* リンクポインタ配列に列挙される、子要素バッファ */
 typedef struct
 {
@@ -116,6 +97,5 @@
 } T_WS_SUB_BLK;
 
-/* ãªã³ã¯ãã¤ã³ã¿é
-å */
+/* リンクポインタ配列 */
 typedef union
 {
@@ -124,39 +104,30 @@
 } T_WS_FBS_LNK;
 
-/* ç®¡çé å(64byte - sizeof(T_MSG)) */
+/* 管理領域(64byte - sizeof(T_MSG)) */
 typedef struct
 {
-	uint16_t	length;			/* ã¡ãã»ã¼ã¸é· */
-	uint16_t	type;			/* ã¡ãã»ã¼ã¸ã¿ã¤ã */
+	uint16_t	length;			/* メッセージ長 */
+	uint16_t	type;			/* メッセージタイプ */
 	union{
-		ID mbxid;				/* éä¿¡å
-ã¡ã¼ã«ããã¯ã¹IDï¼å
-é¨ã¡ãã»ã¼ã¸ï¼ */
+		ID mbxid;				/* 送信元メールボックスID（内部メッセージ） */
 	}sender;
 	union{
-		ID mbxid;				/* éä¿¡å
-ã¡ã¼ã«ããã¯ã¹IDï¼å
-é¨ã¡ãã»ã¼ã¸ï¼ */
+		ID mbxid;				/* 送信先メールボックスID（内部メッセージ） */
 	}target;
 	union{
-		ID mbxid;				/* è¿ä¿¡å
-ã¡ã¼ã«ããã¯ã¹IDï¼å
-é¨ã¡ãã»ã¼ã¸ï¼ */
+		ID mbxid;				/* 返信先メールボックスID（内部メッセージ） */
 	}reply;
 
-	int			rd;				/*	èª­ã¿åããããæ
-å ±	*/
-	int			wr;				/*	æ¸ãè¾¼ã¿ãããæ
-å ±	*/
+	int			rd;				/*	読み取りヘッド情報	*/
+	int			wr;				/*	書き込みヘッド情報	*/
 } T_WS_FBS_HDR;
 
-/* ç®¡çé åãå«ããã­ãã¯ã®æ§é  */
+/* 管理領域を含むブロックの構造 */
 typedef struct
 {
 	uint8_t	_msg[DEF_WS_EDT_HDR_LEN];	/* T_MSG */
-	T_WS_FBS_HDR	hdr;	/*	ç®¡çé å  64byte  - sizeof(T_MSG)	*/
+	T_WS_FBS_HDR	hdr;	/*	管理領域  64byte  - sizeof(T_MSG)	*/
 	uint8_t			_gap[DEF_WS_FBS_LIB_HDR_LEN - sizeof(T_WS_FBS_HDR)];
-	T_WS_FBS_LNK	lnk;	/*	ãªã³ã¯ãã¤ã³ã¿é
-å	128byte			*/
+	T_WS_FBS_LNK	lnk;	/*	リンクポインタ配列	128byte			*/
 	uint8_t			payload[DEF_WS_FBS_FST_DAT_LEN];
 } T_WS_FST_BLK;
@@ -168,131 +139,127 @@
 } WS_FBS_ID;
 
-/* ã¡ãã»ã¼ã¸ã­ã¥ã¼ */
+/* メッセージキュー */
 typedef struct ws_fbs_queue
 {
-	T_WS_FST_BLK	*pk_head;		/* å
-é ­ã®ã¡ãã»ã¼ã¸ */
-	T_WS_FST_BLK	*pk_last;		/* æ«å°¾ã®ã¡ãã»ã¼ã¸ */
+	T_WS_FST_BLK	*pk_head;		/* 先頭のメッセージ */
+	T_WS_FST_BLK	*pk_last;		/* 末尾のメッセージ */
 } T_WS_FBS_QUEUE;
 
 extern ID ws_mempoolid;
 
-/* ã¡ã¢ãªãã­ãã¯åå¾ ok:ãã¤ã³ã¿ NG:NULL */
+/* メモリブロック取得 ok:ポインタ NG:NULL */
 void *_ws_fbs_mbx_get(WS_FBS_SIZE_T fa_req_size);
 
-/* ã¡ã¢ãªãã­ãã¯è§£æ¾ ok:0 NG:é0 */
+/* メモリブロック解放 ok:0 NG:非0 */
 ER _ws_fbs_mbx_rel(void *p);
 
 /*
- * é åç¢ºä¿
- *	å¼æ°
- *		WS_FBS_SIZE_T	fa_req_size		è¦æ±ãããã¡ãµã¤ãº(byte)
+ * 領域確保
+ *	引数
+ *		WS_FBS_SIZE_T	fa_req_size		要求バッファサイズ(byte)
  *										max: DEF_WS_FBS_BUF_MAXLEN
- *		WS_FBS_ID		*fp_id			ç¢ºä¿ããFBS-IDã®æ ¼ç´å
-
- *	æ»ãå¤
- *		ER				0:ok é0:NG
+ *		WS_FBS_ID		*fp_id			確保したFBS-IDの格納先
+ *	戻り値
+ *		ER				0:ok 非0:NG
  */
 ER _ws_fbs_cre(WS_FBS_SIZE_T fa_req_size, WS_FBS_ID *fp_id);
 
 /*
- * é åè§£æ¾
- *	å¼æ°
- *		ws_fbs_idå	ç¢ºä¿ããFBS-ID
- *	æ»ãå¤
- *		ER				0:ok, é0:NG
+ * 領域解放
+ *	引数
+ *		ws_fbs_id型	確保したFBS-ID
+ *	戻り値
+ *		ER				0:ok, 非0:NG
  */
 ER _ws_fbs_del(WS_FBS_ID fa_id);
 
 /*
- * ä¿æãã¼ã¿ã®æç¡
- *	å¼æ°
- *		ws_fbs_idå	ç¢ºä¿ããFBS-ID
- *	æ»ãå¤
- *		bool_t			0:ç¡ã, 1:ãã
+ * 保持データの有無
+ *	引数
+ *		ws_fbs_id型	確保したFBS-ID
+ *	戻り値
+ *		bool_t			0:無し, 1:あり
  */
 bool_t _ws_fbs_exist_data(WS_FBS_ID fa_id);
 
 /*
- * ä¿æãã¼ã¿é·ã®åå¾
- *	å¼æ°
- *		ws_fbs_idå	ç¢ºä¿ããFBS-ID
- *	æ»ãå¤
- *		WS_FBS_SSIZE_T	ä¿æãã¦ãããã¼ã¿ã®é·ã(byte) -1:NG
+ * 保持データ長の取得
+ *	引数
+ *		ws_fbs_id型	確保したFBS-ID
+ *	戻り値
+ *		WS_FBS_SSIZE_T	保持しているデータの長さ(byte) -1:NG
  */
 WS_FBS_SSIZE_T _ws_fbs_get_datalen(WS_FBS_ID fa_id);
 
 /*
- * èª­ã¿åãã«ã¼ã½ã«ã®ä½ç½®åå¾
- *	å¼æ°
- *		ws_fbs_idå	ç¢ºä¿ããFBS-ID
- *	æ»ãå¤
- *		WS_FBS_SIZE_T	å
-é ­ããã®çµ¶å¯¾ä½ç½® -1:NG
+ * 読み取りカーソルの位置取得
+ *	引数
+ *		ws_fbs_id型	確保したFBS-ID
+ *	戻り値
+ *		WS_FBS_SIZE_T	先頭からの絶対位置 -1:NG
  */
 WS_FBS_SSIZE_T _ws_fbs_get_rpos(WS_FBS_ID fa_id);
 
 /*
- * èª­ã¿åãã«ã¼ã½ã«ã®ä½ç½®è¨­å®
- *	å¼æ°
- *		ws_fbs_idå	ç¢ºä¿ããFBS-ID
- *		WS_FBS_SIZE_T	fa_pos	è¨­å®ããä½ç½®(å
-é ­ããã®çµ¶å¯¾ä½ç½®)
- *	æ»ãå¤
- *		ER				0:ok, é0:NG
+ * 読み取りカーソルの位置設定
+ *	引数
+ *		ws_fbs_id型	確保したFBS-ID
+ *		WS_FBS_SIZE_T	fa_pos	設定する位置(先頭からの絶対位置)
+ *	戻り値
+ *		ER				0:ok, 非0:NG
  */
 ER _ws_fbs_set_rpos(WS_FBS_ID fa_id, WS_FBS_SSIZE_T fa_pos);
 
 /*
- * èª­ã¿åãã«ã¼ã½ã«ã®ä½ç½®ç§»å
- *	å¼æ°
- *		ws_fbs_idå	ç¢ºä¿ããFBS-ID
- *		WS_FBS_SIZE_T	fa_seek	ç§»åé(ç¾ç¶ãåé²ã®ã¿)
- *	æ»ãå¤
- *		ER				0:ok, é0:NG
+ * 読み取りカーソルの位置移動
+ *	引数
+ *		ws_fbs_id型	確保したFBS-ID
+ *		WS_FBS_SIZE_T	fa_seek	移動量(現状、前進のみ)
+ *	戻り値
+ *		ER				0:ok, 非0:NG
  */
 ER _ws_fbs_seek_rpos(WS_FBS_ID fa_id, WS_FBS_SSIZE_T fa_seek);
 
 /*
- * ä»»ææå®ä½ç½®ã®1byteèª­ã¿åã
+ * 任意指定位置の1byte読み取り
  */
 int _ws_fbs_peek(WS_FBS_ID fa_id, WS_FBS_SSIZE_T fa_seek);
 
 /*
- * ä»»ææå®ä½ç½®ã®1byteæ¸ãè¾¼ã¿
+ * 任意指定位置の1byte書き込み
  */
 ER _ws_fbs_poke(WS_FBS_ID fa_id, WS_FBS_SSIZE_T fa_seek, int fa_val);
 
 /*
- * ãã¼ã¿è¿½å 
- *	å¼æ°
- *		ws_fbs_idå	ç¢ºä¿ããFBS-ID
- *		const void *	fa_dat	è¿½å ãããã¼ã¿
- *		WS_FBS_SSIZE_T	fa_len	è¿½å ããé·ã(byte)
- *	æ»ãå¤
- *		ER				0:ok, é0:NG
+ * データ追加
+ *	引数
+ *		ws_fbs_id型	確保したFBS-ID
+ *		const void *	fa_dat	追加するデータ
+ *		WS_FBS_SSIZE_T	fa_len	追加する長さ(byte)
+ *	戻り値
+ *		ER				0:ok, 非0:NG
  */
 ER _ws_fbs_add_data(WS_FBS_ID fa_id, const void *fa_dat, WS_FBS_SSIZE_T fa_len);
 
 /*
- * ãã¼ã¿è¿½å (é åãèªåçã«æ¡å¼µãã)
- *	å¼æ°
- *		ws_fbs_idå	ç¢ºä¿ããFBS-ID
- *		const void *	fa_dat	è¿½å ãããã¼ã¿
- *		WS_FBS_SSIZE_T	fa_len	è¿½å ããé·ã(byte)
- *	æ»ãå¤
- *		ER				0:ok, é0:NG
+ * データ追加(領域を自動的に拡張する)
+ *	引数
+ *		ws_fbs_id型	確保したFBS-ID
+ *		const void *	fa_dat	追加するデータ
+ *		WS_FBS_SSIZE_T	fa_len	追加する長さ(byte)
+ *	戻り値
+ *		ER				0:ok, 非0:NG
  */
 ER _ws_fbs_add_data_ex(WS_FBS_ID fa_id, const void *fa_dat, WS_FBS_SSIZE_T fa_len);
 
 /*
- * ãã¼ã¿åå¾
- *	å¼æ°
- *		ws_fbs_idå	ç¢ºä¿ããFBS-ID
- *		void *			fa_buf		åå¾ãããããã¡
- *		WS_FBS_SSIZE_T	fa_maxlen	åå¾ããé·ã(byte)
- *		WS_FBS_SSIZE_T	*p_len		åå¾ããé·ã(byte)
- *	æ»ãå¤
- *		ER				0:ok, é0:NG
+ * データ取得
+ *	引数
+ *		ws_fbs_id型	確保したFBS-ID
+ *		void *			fa_buf		取得するバッファ
+ *		WS_FBS_SSIZE_T	fa_maxlen	取得する長さ(byte)
+ *		WS_FBS_SSIZE_T	*p_len		取得した長さ(byte)
+ *	戻り値
+ *		ER				0:ok, 非0:NG
  */
 ER _ws_fbs_get_data(WS_FBS_ID fa_id, void *fa_buf, WS_FBS_SSIZE_T fa_maxlen,
Index: EcnlProtoTool/trunk/prototool/llbruby.h
===================================================================
--- EcnlProtoTool/trunk/prototool/llbruby.h	(revision 299)
+++ EcnlProtoTool/trunk/prototool/llbruby.h	(revision 321)
@@ -15,11 +15,11 @@
 #define _LLBRUBY_H_  1
 
-#define RUBY_CODE_SIZE (1024 * 4)		//4kBã¾ã§å®è¡å¯è½ã¨ãã
+#define RUBY_CODE_SIZE (1024 * 4)		//4kBまで実行可能とする
 
-//ãã¤ãã³ã¼ããã¼ã¸ã§ã³ãå®ç¾©ãã¾ã
+//バイトコードバージョンを定義します
 #define BYTE_CODE2	2
 #define BYTE_CODE3	3
 
-//ãã¡ã¼ã ã¦ã§ã¢ã®ãã¼ã¸ã§ã³ãå®ç¾©ãã¾ã
+//ファームウェアのバージョンを定義します
 #define MASTER		1000
 #define JAM			1001
@@ -28,5 +28,5 @@
 
 
-//åºæ¿ã®è¨­è¨ãã¼ã¸ã§ã³ãå®ç¾©ãã¾ã
+//基板の設計バージョンを定義します
 #define BOARD_GR	0
 #define BOARD_P01	1
@@ -36,11 +36,11 @@
 
 
-//ãã¤ãã³ã¼ããã©ã¼ãããã®è¨­å®
+//バイトコードフォーマットの設定
 #define BYTECODE	BYTE_CODE3
 
-//åºæ¿ã®ã¿ã¤ãè¨­å®
+//基板のタイプ設定
 #define BOARD	BOARD_GR
 
-//ãã¡ã¼ã ã¦ã§ã¢è¨­å®
+//ファームウェア設定
 #define FIRMWARE	MASTER
 //#define FIRMWARE	JAM
Index: EcnlProtoTool/trunk/prototool/src/echo_client.rb
===================================================================
--- EcnlProtoTool/trunk/prototool/src/echo_client.rb	(revision 299)
+++ EcnlProtoTool/trunk/prototool/src/echo_client.rb	(revision 321)
@@ -6,7 +6,7 @@
 while msg = STDIN.gets
 	print("you writed:", msg)
-	#socketã«æ¸ãè¾¼ã
+	#socketに書き込む
 	sock.write(msg)
-	#ãµã¼ãããè¿ã£ã¦ããã¡ãã»ã¼ã¸ãè¡¨ç¤ºããã
+	#サーバから返ってきたメッセージを表示する。
 	print("return message:", sock.gets)
 end
Index: EcnlProtoTool/trunk/prototool/src/main.c
===================================================================
--- EcnlProtoTool/trunk/prototool/src/main.c	(revision 299)
+++ EcnlProtoTool/trunk/prototool/src/main.c	(revision 321)
@@ -4,47 +4,32 @@
  *  Copyright (C) 2014-2017 Cores Co., Ltd. Japan
  *
- *  ä¸è¨èä½æ¨©è
-ã¯ï¼ä»¥ä¸ã®(1)ï½(4)ã®æ¡ä»¶ãæºããå ´åã«éãï¼æ¬ã½ããã¦ã§
- *  ã¢ï¼æ¬ã½ããã¦ã§ã¢ãæ¹å¤ãããã®ãå«ãï¼ä»¥ä¸åãï¼ãä½¿ç¨ã»è¤è£½ã»æ¹
- *  å¤ã»åé
-å¸ï¼ä»¥ä¸ï¼å©ç¨ã¨å¼ã¶ï¼ãããã¨ãç¡åã§è¨±è«¾ããï¼
- *  (1) æ¬ã½ããã¦ã§ã¢ãã½ã¼ã¹ã³ã¼ãã®å½¢ã§å©ç¨ããå ´åã«ã¯ï¼ä¸è¨ã®èä½
- *      æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãï¼ãã®ã¾ã¾ã®å½¢ã§ã½ã¼
- *      ã¹ã³ã¼ãä¸­ã«å«ã¾ãã¦ãããã¨ï¼
- *  (2) æ¬ã½ããã¦ã§ã¢ãï¼ã©ã¤ãã©ãªå½¢å¼ãªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨
- *      è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®èä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨
- *      ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *  (3) æ¬ã½ããã¦ã§ã¢ãï¼æ©å¨ã«çµã¿è¾¼ããªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããªãå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼æ¬¡ã®ããããã®æ¡ä»¶ãæºããã
- *      ã¨ï¼
- *    (a) åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®è
- *        ä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *    (b) åé
-å¸ã®å½¢æ
-ãï¼å¥ã«å®ããæ¹æ³ã«ãã£ã¦ï¼TOPPERSãã­ã¸ã§ã¯ãã«
- *        å ±åãããã¨ï¼
- *  (4) æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæ
- *      å®³ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ããå
-è²¬ãããã¨ï¼
- *      ã¾ãï¼æ¬ã½ããã¦ã§ã¢ã®ã¦ã¼ã¶ã¾ãã¯ã¨ã³ãã¦ã¼ã¶ããã®ãããªãç
- *      ç±ã«åºã¥ãè«æ±ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ãã
- *      å
-è²¬ãããã¨ï¼
+ *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
+ *  ア（本ソフトウェアを改変したものを含む．以下同じ）を使用・複製・改
+ *  変・再配布（以下，利用と呼ぶ）することを無償で許諾する．
+ *  (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
+ *      権表示，この利用条件および下記の無保証規定が，そのままの形でソー
+ *      スコード中に含まれていること．
+ *  (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使
+ *      用できる形で再配布する場合には，再配布に伴うドキュメント（利用
+ *      者マニュアルなど）に，上記の著作権表示，この利用条件および下記
+ *      の無保証規定を掲載すること．
+ *  (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使
+ *      用できない形で再配布する場合には，次のいずれかの条件を満たすこ
+ *      と．
+ *    (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著
+ *        作権表示，この利用条件および下記の無保証規定を掲載すること．
+ *    (b) 再配布の形態を，別に定める方法によって，TOPPERSプロジェクトに
+ *        報告すること．
+ *  (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
+ *      害からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
+ *      また，本ソフトウェアのユーザまたはエンドユーザからのいかなる理
+ *      由に基づく請求からも，上記著作権者およびTOPPERSプロジェクトを
+ *      免責すること．
  *
- *  æ¬ã½ããã¦ã§ã¢ã¯ï¼ç¡ä¿è¨¼ã§æä¾ããã¦ãããã®ã§ããï¼ä¸è¨èä½æ¨©è
-ã
- *  ãã³TOPPERSãã­ã¸ã§ã¯ãã¯ï¼æ¬ã½ããã¦ã§ã¢ã«é¢ãã¦ï¼ç¹å®ã®ä½¿ç¨ç®ç
- *  ã«å¯¾ããé©åæ§ãå«ãã¦ï¼ãããªãä¿è¨¼ãè¡ããªãï¼ã¾ãï¼æ¬ã½ããã¦ã§
- *  ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæå®³ã«é¢ãã¦ãï¼ã
- *  ã®è²¬ä»»ãè² ããªãï¼
+ *  本ソフトウェアは，無保証で提供されているものである．上記著作権者お
+ *  よびTOPPERSプロジェクトは，本ソフトウェアに関して，特定の使用目的
+ *  に対する適合性も含めて，いかなる保証も行わない．また，本ソフトウェ
+ *  アの利用により直接的または間接的に生じたいかなる損害に関しても，そ
+ *  の責任を負わない．
  *
  *  @(#) $Id$
@@ -52,5 +37,5 @@
 
  /*
-  *  ãµã³ãã«ãã­ã°ã©ã (1)ã®æ¬ä½
+  *  サンプルプログラム(1)の本体
   */
 
@@ -166,5 +151,5 @@
 	echonet = 0;
 
-	/* mrubyã®åæå */
+	/* mrubyの初期化 */
 	mrb = mrb_open();
 	if (mrb == NULL)
@@ -290,5 +275,5 @@
 
 /*
- * ã¢ããªã±ã¼ã·ã§ã³ã¿ã¹ã¯ã®ç»é²
+ * アプリケーションタスクの登録
  */
 static mrb_value mrb_target_board_wait_msg(mrb_state *mrb, mrb_value self)
@@ -320,6 +305,5 @@
 	FD_SET(sock, &errorfds);
 
-	/* ã¡ãã»ã¼ã¸å¾
-ã¡ */
+	/* メッセージ待ち */
 	memset(msg, 0, sizeof(*msg));
 	ret = select(sock + 1, &readfds, &writefds, &errorfds, ptimer);
@@ -345,11 +329,10 @@
 	main_time = now;
 
-	/* ã¿ã¤ã ã¢ã¦ãã®å ´å */
+	/* タイムアウトの場合 */
 	if (ret == 0) {
 		return mrb_ary_new_from_values(mrb, 1, arv);
 	}
 
-	/* å
-é¨ã¤ãã³ãã®å ´å */
+	/* 内部イベントの場合 */
 	if (msg->dst.sin_addr.s_addr == 0) {
 		/* Ethernet Link up */
@@ -364,10 +347,10 @@
 		return mrb_ary_new_from_values(mrb, 2, arv);
 	}
-	/* Echoneté»æåä¿¡ã®å ´å */
+	/* Echonet電文受信の場合 */
 	else {
-		/* éä¿¡ç«¯ç¹ */
+		/* 通信端点 */
 		arv[1] = mrb_str_new(mrb, (char *)&msg->dst, sizeof(msg->dst));
 
-		/* åä¿¡ãã¼ã¿ */
+		/* 受信データ */
 		arv[2] = mrb_str_new(mrb, (char *)msg->buffer, msg->len);
 
@@ -377,9 +360,9 @@
 
 /*
- * ã¢ããªã±ã¼ã·ã§ã³ã¿ã¹ã¯ã®ç»é²
+ * アプリケーションタスクの登録
  */
 static mrb_value mrb_target_board_restart(mrb_state *mrb, mrb_value self)
 {
-	/* DHCPéå§ */
+	/* DHCP開始 */
 
 	return self;
@@ -387,5 +370,5 @@
 
 /*
- * éä¿¡ã¬ã¤ã¤ã¼ã¸ã®éä¿¡
+ * 通信レイヤーへの送信
  */
 static mrb_value mrb_target_board_snd_msg(mrb_state *mrb, mrb_value self)
@@ -415,5 +398,5 @@
 
 /*
- * ã­ã¼ã«ã«ã¢ãã¬ã¹ãç¢ºèª
+ * ローカルアドレスか確認
  */
 static mrb_value mrb_target_board_is_local_addr(mrb_state *mrb, mrb_value self)
@@ -435,5 +418,5 @@
 
 /*
- * ãã«ãã­ã£ã¹ãã¢ãã¬ã¹ãç¢ºèª
+ * マルチキャストアドレスか確認
  */
 static mrb_value mrb_target_board_is_multicast_addr(mrb_state *mrb, mrb_value self)
@@ -455,5 +438,5 @@
 
 /*
- * åä¸ã¢ãã¬ã¹ãç¢ºèª
+ * 同一アドレスか確認
  */
 static mrb_value mrb_target_board_equals_addr(mrb_state *mrb, mrb_value self)
@@ -476,5 +459,5 @@
 
 /*
- * ã­ã¼ã«ã«ã¢ãã¬ã¹ã®åå¾
+ * ローカルアドレスの取得
  */
 static mrb_value mrb_target_board_get_local_addr(mrb_state *mrb, mrb_value self)
@@ -494,5 +477,5 @@
 
 /*
- * ãã«ãã­ã£ã¹ãã¢ãã¬ã¹ã®åå¾
+ * マルチキャストアドレスの取得
  */
 static mrb_value mrb_target_board_get_multicast_addr(mrb_state *mrb, mrb_value self)
